Subject: Re: [PATCH iproute2-next v2 0/4] Implement new netlink attributes for devlink-rate in iproute2

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Dec 2022 16:24:11 -0800

On Mon, 5 Dec 2022 09:41:26 +0100 Wilczynski, Michal wrote:
> On 12/1/2022 5:53 PM, Jakub Kicinski wrote:
> > On Thu,  1 Dec 2022 11:26:22 +0100 Michal Wilczynski wrote:  
> >> Patch implementing new netlink attributes for devlink-rate got merged to
> >> net-next.
> >> https://lore.kernel.org/netdev/[email-masked]/
> >>
> >> Now there is a need to support these new attributes in the userspace
> >> tool. Implement tx_priority and tx_weight in devlink userspace tool. Update
> >> documentation.  
> > I forgot to ask you - is there anything worth adding to the netdevsim
> > rate selftests to make sure devlink refactoring doesn't break your use
> > case? Probably the ability for the driver to create and destroy the
> > hierarchy?  
> 
> I think it's a great idea, possibility to export the hierarchy from the driver
> is key for our use case. Would you like me to add this to netdevism ?

Great! Yes, netdevsim and a script that exercises it. There are some
rate tests already in

 tools/testing/selftests/drivers/net/netdevsim/devlink.sh

Either just extend that or factor it out to its own script, if the rate
testing gets big. You don't have to be too "unit-testy" it's mostly
about exercising the functionality so that we can catch refactoring
errors.